using JamesKovacs.IoCArticle.DependencyInjection.Domain;
using JamesKovacs.IoCArticle.DependencyInjection.Services;
using MbUnit.Framework;

namespace JamesKovacs.IoCArticle.DependencyInjection.Tests.Integration.Services {
    [TestFixture]
    public class InvoiceServiceTests {
        [Test]
        public void CanSubmitNewInvoice() {
            Invoice invoice = new Invoice();
            IInvoiceService service = new InvoiceService();
            ValidationResults validationResults = service.Submit(invoice);
            Assert.IsTrue(validationResults.IsValid);
        }
    }
}